%define		pkg	request
Summary:	Simplified HTTP request client
Name:		nodejs-%{pkg}
Version:	2.9.203
Release:	1
License:	ASL 2.0
Group:		Development/Libraries
URL:		https://github.com/mikeal/request
Source0:	http://registry.npmjs.org/%{pkg}/-/%{pkg}-%{version}.tgz
# Source0-md5:	33e259c61708d103466d3b096852a275
BuildRequires:	rpmbuild(macros) >= 1.634
Requires:	nodejs
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Simplified HTTP request client.

%prep
%setup -qc
mv package/* .

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{nodejs_libdir}/%{pkg}
cp -pr *.js vendor package.json $RPM_BUILD_ROOT%{nodejs_libdir}/%{pkg}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.md LICENSE
%{nodejs_libdir}/%{pkg}
%changelog
* Thu Apr 04 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/nodejs-request.git;a=log;h=master

* Sat Feb 16 2013 Aria <aredridel@nbtsc.org> 9590823
2.9.203

* Fri Jun 15 2012 Elan Ruusamäe <glen@pld-linux.org> e6bbd65
- adapter

* Thu Jun 14 2012 Elan Ruusamäe <glen@pld-linux.org> 8fe91bf
- up to 2.9.202

* Wed Jan 25 2012 Elan Ruusamäe <glen@pld-linux.org> cb74d9b
- initial node pkgs for npm deps
  based on specs from http://nodejs.tchol.org/ repo

